Subject: Localization: Timestamps get wrong if using different locales

From: Christoph Miebach <[email-masked]>
Date: Sun, 05 Aug 2012 11:08:56 +0200

Hello!

Running this commands locally (german locale) lead to some wrong dates 
for the patches upstream.

git format-patch -o patches origin

git send-email --compose --no-chain-reply-to --to [email-masked] 
--suppress-cc=author patches/0001-l10n-Turkish-update.patch

The local
Date: Sat, 4 Aug 2012
became
       Wed, 8 Dec 2004

So it looks like matching  DD=04=YY  MM=08=DD  and  YY=12=MM

German date format usually looks DD.MM.YYYY

A workaround for me was running the lines with LANGUAGE=en

I am using
git-send-email 1.7.10.4
with the patch from here
http://www.mail-archive.com/[email-masked]/msg05240.html
but I do not expect this to do any harm here.

Shall I provide more information?

Regards

Christoph